FANDOM


Mod Compatibility

This page lists mods that the community has tested for compatiblility with Mystcraft. Please add any mods you attempt to use with Mystcraft, and please keep this page up to date. If you need to see how the tables work, see the syntax page.

For a collection of mods that is easy to install and includes Mystcraft, see the [modpack]. NOTE: FTB Ultimate is not fully tested for compatibility of all mods. Some users have reported issues generating Mystcraft ages.

If you attempt to run a mod not listed on this page together with Mystcraft, please report your findings here. This page is a community effort. Similarly, if you have updated compatibility information on a mod listed here, please update the page with that new information, even if it is only version numbers.

Mods that add biomes

Mystcraft will reference the internal biomes array and add symbols to support generation of those biomes in written Ages. If a mod does not use the default internal biome array, the mod may reference the Mystcraft API to insert the biomes. See the Modding API section of this page.

This does not guarantee that all the biomes will work, as biome or world ID's may need to be edited for certain mods to ensure there are no conflicts.

Mods that use custom terrain generators

Mods that use or create custom terrain generators (e.g. Better World Generator) should be compatible. Should another mod modify the default terrain generator, it will only effect the default world. Mystcraft uses its own terrain generator for its Ages, and thus ignores any custom generators from other mods.

Note that this is just a generalisation, and mods can still effect Mystcraft's generators and create modifiers via the Mystcraft API (See the Modding API section of this page) and that other features of the mod, such as custom worlds, blocks, or features, may not always be compatible.

Mods that use custom liquids

Mods that have custom liquids must register an item version of their liquid (similar to how if you cheat yourself a water source block by using the /give command) in order for Mystcraft to be able to pull that liquid's name when creating symbols. If the item version doesn't exist, Mystraft will crash.

IMPORTANT NOTE

IF YOU CANNOT FIGURE OUT BLOCK AND ITEM ID CONFLICTS THAT DOES NOT MEAN THE MOD IS INCOMPATIBLE!

Mystcraft Plugins

^ Mod ^ Description ^ Mystcraft Version ^ Mod Version ^ | Ages of Mystcraft | Adds 80+ more modifier symbols | 0.10.0 - 0.10.2 | pre4 | | More Mystcraft Decays | Adds 16 new Decay blocks and 5 instability effects | 0.10.0 - 0.10.3 | 3.0.0 | | [Mystcraft Addon] | Adds NotEnoughItems integration | 0.10.0.00 - 0.10.10.00 | 1.05.00.00 | | JAMI | Adding Mystcraft-related content to other mods | 0.10.12.01 | 1.0.13.122 |

Forge Based Mods

^ Mod ^ Compatibility Notes ^ Mystcraft Version ^ Mod Version ^ | [[1]] | Compatible | 0.10.0.00 | A 3.4.3 | | [[2]] | Compatible | 0.9.4.0 | 1.4.6 | | [Ore Generation] | Compatible\\ Notes | 0.9.4.05 | v3 | | [[3]] | Compatible\\ Notes\\ Adds Symbols | 0.9.4.0 | 1.1.6 | | [[4]] | Compatible | 0.9.4.0 | 1.2.1 | | [Books] | Compatible | 0.9.4.0 | 1.3.0 | | [[5]] | Compatible\\ Adds Symbols | 0.10.0.00 | 3.9.0 | | [Exchange] | Compatible | 0.9.4.0 | 3 pre1 | | [[6]] | Compatible | 0.9.4.0 | 0.6.9_563 | | [[7]] | Compatible | 0.10.0.00 | A 2.0.0.10 | | [2] | Compatible | 0.9.4.0 | 1.108.52-lf | | [Chests] | Compatible | 0.10.0.00 | 5.1.0.255 | | [[8]] | Compatible\\ Adds Symbols | 0.10.0.00 | 2.4.2 | | [[9]] | Compatible | 0.10.0.00 | 1.4.7v4 | | [[10]] | Compatible | 0.10.0.00 | 6.16.0.0 | | [[11]] | Compatible\\ \\ Players will need to disable Skylands and Cave Worlds symbols in their Mystcraft config file in order to work around an issue in RedPower related to Marble generation. | 0.10.0.00 | 2.0 pr6 | | [2] | Compatible | 0.10.6.00 | 1.0.2.1 | | [3] | Compatible | 0.10.0.00 | 3.0.3 | | [[12]] | Incompatible\\ Traincraft adds custom liquids that do not have an item form, causing a crash when Mystcraft registers liquid modifier symbols. | 4.1.1 | 0.10.6.0 | | [Forest] | Compatible | 0.10.0.00 | 1.12.0 | | [Forest] | *MAYBE* Compatible -- see below | 0.11.0 | 2.3.2 |

Note: Some mods are still tested! You can find a list of mods that seem to be compatible here:

http://binarymage.com/forum/viewtopic.php?p=6374#p6374

If some mods turn out to be incompatible or cause issues with mystcraft, it will be posted on the linked forum thread.

Non-Forge Mods

^ Mod ^ Compatibility Notes ^ Mystcraft Version ^ Mod Version ^ | [Than Wolves] | Incompatible\\ Better Than Wolves is intentionally incompatible with Forge and all Forge based mods such as Mystcraft. | 0.9.4.0 | 4.3 | | [Tweaks] | Compatible | 0.9.4.0 | 1.44 | | [[13]] | Incompatible (Alt: [Mod Loader])\\ Mystcraft is no longer compatible with ModLoader.\\ [Mod Loader] will load ModLoader based mods, and is a part of Forge | 0.9.4.0 | 1.4.2 | | [Enough Items] | Compatible\\ Weather options cannot disable weather in ages. | 0.9.4.0 | 1.4.1 | | [[14]] | Compatible\\ D4 Ultra causes celestial bodies in ages to become invisible. | 0.9.4.05 | D3 Standard | | [Minimap] | Compatible | 0.9.4.0 | 3.2_05 |


Special note for Twilight Forest / Underground Biomes Constructs

Twilight Forest seems to do some unusual things in worldgen. There is nothing wrong with what it does, but some other mods make assumptions that break TF.

Known offenders include Underground Biomes Constructs. The key here is the config line in UBC:

   # Clear the world var in BiomeGenBase for recursive generation
   B:clearVarsForRecursiveGeneration=true

This must be false, not "true", for twilight forest to generate properly.

UBC stores a world-specific copy of the config file inside the world (save) folder after the world is first made, to prevent accidentally changing the world's settings after it is made. This of course means that while changing the normal config file will fix worlds made later, you have to look at the world specific config file inside the world to fix existing worlds that are crashing.

Mystcraft Modding API

API Documentation for Modders

Ad blocker interference detected!


Wikia is a free-to-use site that makes money from advertising. We have a modified experience for viewers using ad blockers

Wikia is not accessible if you’ve made further modifications. Remove the custom ad blocker rule(s) and the page will load as expected.